Cells

Manage cells within InfluxDB Cloud dashboards.
POST /api/v2/dashboards/{dashboardID}/cells

Create a dashboard cell

Parameters

Path parameters
dashboardID required string
The ID of the dashboard to update.
Header parameters
Zap-Trace-Span string
OpenTracing span context

Request body required

Cell that will be added
Content-Type: application/json
h integer <int32>
name string
usingView string
Makes a copy of the provided view.
w integer <int32>
x integer <int32>
y integer <int32>
Example request Ask AI about this
curl --request POST \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}/cells" \
  --header "Authorization: Bearer INFLUX_TOKEN" \
  --header "Content-Type: application/json" \
  --data-raw '{
  "h": 0,
  "name": "NAME",
  "usingView": "USINGVIEW",
  "w": 0,
  "x": 0,
  "y": 0
}'

Responses

201 Cell successfully added
h integer <int32>
id string
links object
self string
view string
viewID string
The reference to a view from the views API.
w integer <int32>
x integer <int32>
y integer <int32>
404 Dashboard not found
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
default Unexpected error
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
PUT /api/v2/dashboards/{dashboardID}/cells

Replace cells in a dashboard

Replaces all cells in a dashboard. This is used primarily to update the positional information of all cells.

Parameters

Path parameters
dashboardID required string
The ID of the dashboard to update.
Header parameters
Zap-Trace-Span string
OpenTracing span context

Request body required

Content-Type: application/json
Example request Ask AI about this
curl --request PUT \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}/cells" \
  --header "Authorization: Bearer INFLUX_TOKEN" \
  --header "Content-Type: application/json"

Responses

201 Replaced dashboard cells
404 Dashboard not found
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
default Unexpected error
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
PATCH /api/v2/dashboards/{dashboardID}/cells/{cellID}

Update the non-positional information related to a cell

Updates the non positional information related to a cell. Updates to a single cell’s positional data could cause grid conflicts.

Parameters

Path parameters
dashboardID required string
The ID of the dashboard to update.
cellID required string
The ID of the cell to update.
Header parameters
Zap-Trace-Span string
OpenTracing span context

Request body required

Content-Type: application/json
h integer <int32>
w integer <int32>
x integer <int32>
y integer <int32>
Example request Ask AI about this
curl --request PATCH \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}/cells/{cellID}" \
  --header "Authorization: Bearer INFLUX_TOKEN" \
  --header "Content-Type: application/json" \
  --data-raw '{
  "h": 0,
  "w": 0,
  "x": 0,
  "y": 0
}'

Responses

200 Updated dashboard cell
h integer <int32>
id string
links object
self string
view string
viewID string
The reference to a view from the views API.
w integer <int32>
x integer <int32>
y integer <int32>
404 Cell or dashboard not found
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
default Unexpected error
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
DELETE /api/v2/dashboards/{dashboardID}/cells/{cellID}

Delete a dashboard cell

Parameters

Path parameters
dashboardID required string
The ID of the dashboard to delete.
cellID required string
The ID of the cell to delete.
Header parameters
Zap-Trace-Span string
OpenTracing span context
Example request Ask AI about this
curl --request DELETE \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}/cells/{cellID}" \
  --header "Authorization: Bearer INFLUX_TOKEN"

Responses

204 Cell successfully deleted
404 Cell or dashboard not found
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
default Unexpected error
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
GET /api/v2/dashboards/{dashboardID}/cells/{cellID}/view

Retrieve the view for a cell

Parameters

Path parameters
dashboardID required string
The dashboard ID.
cellID required string
The cell ID.
Header parameters
Zap-Trace-Span string
OpenTracing span context
Example request Ask AI about this
curl --request GET \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}/cells/{cellID}/view" \
  --header "Authorization: Bearer INFLUX_TOKEN"

Responses

200 A dashboard cells view
id string
links object
self string
name required string
properties required string
404 Cell or dashboard not found
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
default Unexpected error
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
PATCH /api/v2/dashboards/{dashboardID}/cells/{cellID}/view

Update the view for a cell

Parameters

Path parameters
dashboardID required string
The ID of the dashboard to update.
cellID required string
The ID of the cell to update.
Header parameters
Zap-Trace-Span string
OpenTracing span context

Request body required

Content-Type: application/json
id string
links object
self string
name required string
properties required string
Example request Ask AI about this
curl --request PATCH \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}/cells/{cellID}/view" \
  --header "Authorization: Bearer INFLUX_TOKEN" \
  --header "Content-Type: application/json" \
  --data-raw '{
  "id": "ID",
  "links": {},
  "name": "NAME",
  "properties": "PROPERTIES"
}'

Responses

200 Updated cell view
id string
links object
self string
name required string
properties required string
404 Cell or dashboard not found
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
default Unexpected error
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.

Was this page helpful?

Thank you for your feedback!